## Tcl8.6.2/Tk8.6.2 Documentation > Tcl C API, version 8.6.2 > Concat

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Tcl_Concat — concatenate a collection of strings

### SYNOPSIS

#include <tcl.h>
const char *
Tcl_Concat(argc, argv)

### ARGUMENTS

int argc (in)
  Number of strings.

const char *const argv[] (in)
  Array of strings to concatenate. Must have argc entries.

### DESCRIPTION

Tcl_Concat is a utility procedure used by several of the Tcl commands. Given a collection of strings, it concatenates them together into a single string, with the original strings separated by spaces. This procedure behaves differently than Tcl_Merge, in that the arguments are simply concatenated: no effort is made to ensure proper list structure. However, in most common usage the arguments will all be proper lists themselves; if this is true, then the result will also have proper list structure.

Tcl_Concat eliminates leading and trailing white space as it copies strings from argv to the result. If an element of argv consists of nothing but white space, then that string is ignored entirely. This white-space removal was added to make the output of the concat command cleaner-looking.

The result string is dynamically allocated using Tcl_Alloc; the caller must eventually release the space by calling Tcl_Free.

### SEE ALSO

Tcl_ConcatObj

### KEYWORDS

concatenate, strings
Copyright © 1989-1993 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.